--- a/drivers/scsi/FlashPoint.c
+++ b/drivers/scsi/FlashPoint.c
@@ -7114,28 +6535,24 @@ UCHAR i;
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_BusMasterInit(ULONG p_port)
+static void FPT_BusMasterInit(unsigned long p_port)
 {
 
+	WR_HARPOON(p_port + hp_sys_ctrl, DRVR_RST);
+	WR_HARPOON(p_port + hp_sys_ctrl, 0x00);
 
-   WR_HARPOON(p_port+hp_sys_ctrl, DRVR_RST);
-   WR_HARPOON(p_port+hp_sys_ctrl, 0x00);
-
-   WR_HARPOON(p_port+hp_host_blk_cnt, XFER_BLK64);
+	WR_HARPOON(p_port + hp_host_blk_cnt, XFER_BLK64);
 
+	WR_HARPOON(p_port + hp_bm_ctrl, (BMCTRL_DEFAULT));
 
-   WR_HARPOON(p_port+hp_bm_ctrl, (BMCTRL_DEFAULT));
+	WR_HARPOON(p_port + hp_ee_ctrl, (SCSI_TERM_ENA_H));
 
-   WR_HARPOON(p_port+hp_ee_ctrl, (SCSI_TERM_ENA_H));
-
-
-   RD_HARPOON(p_port+hp_int_status);        /*Clear interrupts. */
-   WR_HARPOON(p_port+hp_int_mask, (INT_CMD_COMPL | SCSI_INTERRUPT));
-   WR_HARPOON(p_port+hp_page_ctrl, (RD_HARPOON(p_port+hp_page_ctrl) &
-      ~SCATTER_EN));
+	RD_HARPOON(p_port + hp_int_status);	/*Clear interrupts. */
+	WR_HARPOON(p_port + hp_int_mask, (INT_CMD_COMPL | SCSI_INTERRUPT));
+	WR_HARPOON(p_port + hp_page_ctrl, (RD_HARPOON(p_port + hp_page_ctrl) &
+					   ~SCATTER_EN));
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_DiagEEPROM
@@ -7145,158 +6562,153 @@ static void FPT_BusMasterInit(ULONG p_po
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_DiagEEPROM(ULONG p_port)
+static void FPT_DiagEEPROM(unsigned long p_port)
 {
-   USHORT index,temp,max_wd_cnt;
-
-   if (RD_HARPOON(p_port+hp_page_ctrl) & NARROW_SCSI_CARD)
-      max_wd_cnt = EEPROM_WD_CNT;
-   else
-      max_wd_cnt = EEPROM_WD_CNT * 2;
-
-   temp = FPT_utilEERead(p_port, FW_SIGNATURE/2);
-
-   if (temp == 0x4641) {
-
-      for (index = 2; index < max_wd_cnt; index++) {
+	unsigned short index, temp, max_wd_cnt;
 
-         temp += FPT_utilEERead(p_port, index);
-
-         }
-
-      if (temp == FPT_utilEERead(p_port, EEPROM_CHECK_SUM/2)) {
-
-         return;          /*EEPROM is Okay so return now! */
-         }
-      }
-
-
-   FPT_utilEEWriteOnOff(p_port,(UCHAR)1);
-
-   for (index = 0; index < max_wd_cnt; index++) {
-
-      FPT_utilEEWrite(p_port, 0x0000, index);
-      }
+	if (RD_HARPOON(p_port + hp_page_ctrl) & NARROW_SCSI_CARD)
+		max_wd_cnt = EEPROM_WD_CNT;
+	else
+		max_wd_cnt = EEPROM_WD_CNT * 2;
 
-   temp = 0;
+	temp = FPT_utilEERead(p_port, FW_SIGNATURE / 2);
 
-   FPT_utilEEWrite(p_port, 0x4641, FW_SIGNATURE/2);
-   temp += 0x4641;
-   FPT_utilEEWrite(p_port, 0x3920, MODEL_NUMB_0/2);
-   temp += 0x3920;
-   FPT_utilEEWrite(p_port, 0x3033, MODEL_NUMB_2/2);
-   temp += 0x3033;
-   FPT_utilEEWrite(p_port, 0x2020, MODEL_NUMB_4/2);
-   temp += 0x2020;
-   FPT_utilEEWrite(p_port, 0x70D3, SYSTEM_CONFIG/2);
-   temp += 0x70D3;
-   FPT_utilEEWrite(p_port, 0x0010, BIOS_CONFIG/2);
-   temp += 0x0010;
-   FPT_utilEEWrite(p_port, 0x0003, SCAM_CONFIG/2);
-   temp += 0x0003;
-   FPT_utilEEWrite(p_port, 0x0007, ADAPTER_SCSI_ID/2);
-   temp += 0x0007;
-
-   FPT_utilEEWrite(p_port, 0x0000, IGNORE_B_SCAN/2);
-   temp += 0x0000;
-   FPT_utilEEWrite(p_port, 0x0000, SEND_START_ENA/2);
-   temp += 0x0000;
-   FPT_utilEEWrite(p_port, 0x0000, DEVICE_ENABLE/2);
-   temp += 0x0000;
-
-   FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL01/2);
-   temp += 0x4242;
-   FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL23/2);
-   temp += 0x4242;
-   FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL45/2);
-   temp += 0x4242;
-   FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL67/2);
-   temp += 0x4242;
-   FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL89/2);
-   temp += 0x4242;
-   FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBLab/2);
-   temp += 0x4242;
-   FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBLcd/2);
-   temp += 0x4242;
-   FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBLef/2);
-   temp += 0x4242;
-
-
-   FPT_utilEEWrite(p_port, 0x6C46, 64/2);  /*PRODUCT ID */
-   temp += 0x6C46;
-   FPT_utilEEWrite(p_port, 0x7361, 66/2);  /* FlashPoint LT   */
-   temp += 0x7361;
-   FPT_utilEEWrite(p_port, 0x5068, 68/2);
-   temp += 0x5068;
-   FPT_utilEEWrite(p_port, 0x696F, 70/2);
-   temp += 0x696F;
-   FPT_utilEEWrite(p_port, 0x746E, 72/2);
-   temp += 0x746E;
-   FPT_utilEEWrite(p_port, 0x4C20, 74/2);
-   temp += 0x4C20;
-   FPT_utilEEWrite(p_port, 0x2054, 76/2);
-   temp += 0x2054;
-   FPT_utilEEWrite(p_port, 0x2020, 78/2);
-   temp += 0x2020;
-
-   index = ((EE_SCAMBASE/2)+(7*16));
-   FPT_utilEEWrite(p_port, (0x0700+TYPE_CODE0), index);
-   temp += (0x0700+TYPE_CODE0);
-   index++;
-   FPT_utilEEWrite(p_port, 0x5542, index);            /*Vendor ID code */
-   temp += 0x5542;                                /* BUSLOGIC      */
-   index++;
-   FPT_utilEEWrite(p_port, 0x4C53, index);
-   temp += 0x4C53;
-   index++;
-   FPT_utilEEWrite(p_port, 0x474F, index);
-   temp += 0x474F;
-   index++;
-   FPT_utilEEWrite(p_port, 0x4349, index);
-   temp += 0x4349;
-   index++;
-   FPT_utilEEWrite(p_port, 0x5442, index);            /*Vendor unique code */
-   temp += 0x5442;                         /* BT- 930           */
-   index++;
-   FPT_utilEEWrite(p_port, 0x202D, index);
-   temp += 0x202D;
-   index++;
-   FPT_utilEEWrite(p_port, 0x3339, index);
-   temp += 0x3339;
-   index++;                                 /*Serial #          */
-   FPT_utilEEWrite(p_port, 0x2030, index);             /* 01234567         */
-   temp += 0x2030;
-   index++;
-   FPT_utilEEWrite(p_port, 0x5453, index);
-   temp += 0x5453;
-   index++;
-   FPT_utilEEWrite(p_port, 0x5645, index);
-   temp += 0x5645;
-   index++;
-   FPT_utilEEWrite(p_port, 0x2045, index);
-   temp += 0x2045;
-   index++;
-   FPT_utilEEWrite(p_port, 0x202F, index);
-   temp += 0x202F;
-   index++;
-   FPT_utilEEWrite(p_port, 0x4F4A, index);
-   temp += 0x4F4A;
-   index++;
-   FPT_utilEEWrite(p_port, 0x204E, index);
-   temp += 0x204E;
-   index++;
-   FPT_utilEEWrite(p_port, 0x3539, index);
-   temp += 0x3539;
+	if (temp == 0x4641) {
 
+		for (index = 2; index < max_wd_cnt; index++) {
 
+			temp += FPT_utilEERead(p_port, index);
+
+		}
+
+		if (temp == FPT_utilEERead(p_port, EEPROM_CHECK_SUM / 2)) {
+
+			return;	/*EEPROM is Okay so return now! */
+		}
+	}
+
+	FPT_utilEEWriteOnOff(p_port, (unsigned char)1);
+
+	for (index = 0; index < max_wd_cnt; index++) {
+
+		FPT_utilEEWrite(p_port, 0x0000, index);
+	}
+
+	temp = 0;
+
+	FPT_utilEEWrite(p_port, 0x4641, FW_SIGNATURE / 2);
+	temp += 0x4641;
+	FPT_utilEEWrite(p_port, 0x3920, MODEL_NUMB_0 / 2);
+	temp += 0x3920;
+	FPT_utilEEWrite(p_port, 0x3033, MODEL_NUMB_2 / 2);
+	temp += 0x3033;
+	FPT_utilEEWrite(p_port, 0x2020, MODEL_NUMB_4 / 2);
+	temp += 0x2020;
+	FPT_utilEEWrite(p_port, 0x70D3, SYSTEM_CONFIG / 2);
+	temp += 0x70D3;
+	FPT_utilEEWrite(p_port, 0x0010, BIOS_CONFIG / 2);
+	temp += 0x0010;
+	FPT_utilEEWrite(p_port, 0x0003, SCAM_CONFIG / 2);
+	temp += 0x0003;
+	FPT_utilEEWrite(p_port, 0x0007, ADAPTER_SCSI_ID / 2);
+	temp += 0x0007;
+
+	FPT_utilEEWrite(p_port, 0x0000, IGNORE_B_SCAN / 2);
+	temp += 0x0000;
+	FPT_utilEEWrite(p_port, 0x0000, SEND_START_ENA / 2);
+	temp += 0x0000;
+	FPT_utilEEWrite(p_port, 0x0000, DEVICE_ENABLE / 2);
+	temp += 0x0000;
+
+	FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL01 / 2);
+	temp += 0x4242;
+	FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL23 / 2);
+	temp += 0x4242;
+	FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL45 / 2);
+	temp += 0x4242;
+	FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL67 / 2);
+	temp += 0x4242;
+	FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBL89 / 2);
+	temp += 0x4242;
+	FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBLab / 2);
+	temp += 0x4242;
+	FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBLcd / 2);
+	temp += 0x4242;
+	FPT_utilEEWrite(p_port, 0x4242, SYNC_RATE_TBLef / 2);
+	temp += 0x4242;
+
+	FPT_utilEEWrite(p_port, 0x6C46, 64 / 2);	/*PRODUCT ID */
+	temp += 0x6C46;
+	FPT_utilEEWrite(p_port, 0x7361, 66 / 2);	/* FlashPoint LT   */
+	temp += 0x7361;
+	FPT_utilEEWrite(p_port, 0x5068, 68 / 2);
+	temp += 0x5068;
+	FPT_utilEEWrite(p_port, 0x696F, 70 / 2);
+	temp += 0x696F;
+	FPT_utilEEWrite(p_port, 0x746E, 72 / 2);
+	temp += 0x746E;
+	FPT_utilEEWrite(p_port, 0x4C20, 74 / 2);
+	temp += 0x4C20;
+	FPT_utilEEWrite(p_port, 0x2054, 76 / 2);
+	temp += 0x2054;
+	FPT_utilEEWrite(p_port, 0x2020, 78 / 2);
+	temp += 0x2020;
+
+	index = ((EE_SCAMBASE / 2) + (7 * 16));
+	FPT_utilEEWrite(p_port, (0x0700 + TYPE_CODE0), index);
+	temp += (0x0700 + TYPE_CODE0);
+	index++;
+	FPT_utilEEWrite(p_port, 0x5542, index);	/*Vendor ID code */
+	temp += 0x5542;		/* BUSLOGIC      */
+	index++;
+	FPT_utilEEWrite(p_port, 0x4C53, index);
+	temp += 0x4C53;
+	index++;
+	FPT_utilEEWrite(p_port, 0x474F, index);
+	temp += 0x474F;
+	index++;
+	FPT_utilEEWrite(p_port, 0x4349, index);
+	temp += 0x4349;
+	index++;
+	FPT_utilEEWrite(p_port, 0x5442, index);	/*Vendor unique code */
+	temp += 0x5442;		/* BT- 930           */
+	index++;
+	FPT_utilEEWrite(p_port, 0x202D, index);
+	temp += 0x202D;
+	index++;
+	FPT_utilEEWrite(p_port, 0x3339, index);
+	temp += 0x3339;
+	index++;		/*Serial #          */
+	FPT_utilEEWrite(p_port, 0x2030, index);	/* 01234567         */
+	temp += 0x2030;
+	index++;
+	FPT_utilEEWrite(p_port, 0x5453, index);
+	temp += 0x5453;
+	index++;
+	FPT_utilEEWrite(p_port, 0x5645, index);
+	temp += 0x5645;
+	index++;
+	FPT_utilEEWrite(p_port, 0x2045, index);
+	temp += 0x2045;
+	index++;
+	FPT_utilEEWrite(p_port, 0x202F, index);
+	temp += 0x202F;
+	index++;
+	FPT_utilEEWrite(p_port, 0x4F4A, index);
+	temp += 0x4F4A;
+	index++;
+	FPT_utilEEWrite(p_port, 0x204E, index);
+	temp += 0x204E;
+	index++;
+	FPT_utilEEWrite(p_port, 0x3539, index);
+	temp += 0x3539;
 
-   FPT_utilEEWrite(p_port, temp, EEPROM_CHECK_SUM/2);
+	FPT_utilEEWrite(p_port, temp, EEPROM_CHECK_SUM / 2);
 
-   FPT_utilEEWriteOnOff(p_port,(UCHAR)0);
+	FPT_utilEEWriteOnOff(p_port, (unsigned char)0);
 
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Queue Search Select
@@ -7305,103 +6717,127 @@ static void FPT_DiagEEPROM(ULONG p_port)
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_queueSearchSelect(PSCCBcard pCurrCard, UCHAR p_card)
+static void FPT_queueSearchSelect(struct sccb_card *pCurrCard,
+				  unsigned char p_card)
 {
-   UCHAR scan_ptr, lun;
-   PSCCBMgr_tar_info currTar_Info;
-	PSCCB pOldSccb;
+	unsigned char scan_ptr, lun;
+	struct sccb_mgr_tar_info *currTar_Info;
+	struct sccb *pOldSccb;
 
-   scan_ptr = pCurrCard->scanIndex;
-	do 
-	{
+	scan_ptr = pCurrCard->scanIndex;
+	do {
 		currTar_Info = &FPT_sccbMgrTbl[p_card][scan_ptr];
-		if((pCurrCard->globalFlags & F_CONLUN_IO) && 
-			((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING))
-		{
-			if (currTar_Info->TarSelQ_Cnt != 0)
-			{
+		if ((pCurrCard->globalFlags & F_CONLUN_IO) &&
+		    ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) !=
+		     TAG_Q_TRYING)) {
+			if (currTar_Info->TarSelQ_Cnt != 0) {
 
 				scan_ptr++;
 				if (scan_ptr == MAX_SCSI_TAR)
 					scan_ptr = 0;
-				
-				for(lun=0; lun < MAX_LUN; lun++)
-				{
-					if(currTar_Info->TarLUNBusy[lun] == 0)
-					{
 
-						pCurrCard->currentSCCB = currTar_Info->TarSelQ_Head;
+				for (lun = 0; lun < MAX_LUN; lun++) {
+					if (currTar_Info->TarLUNBusy[lun] == 0) {
+
+						pCurrCard->currentSCCB =
+						    currTar_Info->TarSelQ_Head;
 						pOldSccb = NULL;
 
-						while((pCurrCard->currentSCCB != NULL) &&
-								 (lun != pCurrCard->currentSCCB->Lun))
-						{
-							pOldSccb = pCurrCard->currentSCCB;
-							pCurrCard->currentSCCB = (PSCCB)(pCurrCard->currentSCCB)->
-																	Sccb_forwardlink;
+						while ((pCurrCard->
+							currentSCCB != NULL)
+						       && (lun !=
+							   pCurrCard->
+							   currentSCCB->Lun)) {
+							pOldSccb =
+							    pCurrCard->
+							    currentSCCB;
+							pCurrCard->currentSCCB =
+							    (struct sccb
+							     *)(pCurrCard->
+								currentSCCB)->
+							    Sccb_forwardlink;
 						}
-						if(pCurrCard->currentSCCB == NULL)
+						if (pCurrCard->currentSCCB ==
+						    NULL)
 							continue;
-						if(pOldSccb != NULL)
-						{
-							pOldSccb->Sccb_forwardlink = (PSCCB)(pCurrCard->currentSCCB)->
-																	Sccb_forwardlink;
-							pOldSccb->Sccb_backlink = (PSCCB)(pCurrCard->currentSCCB)->
-																	Sccb_backlink;
-							currTar_Info->TarSelQ_Cnt--;
-						}
-						else
-						{
-							currTar_Info->TarSelQ_Head = (PSCCB)(pCurrCard->currentSCCB)->Sccb_forwardlink;
-					
-							if (currTar_Info->TarSelQ_Head == NULL)
-							{
-								currTar_Info->TarSelQ_Tail = NULL;
-								currTar_Info->TarSelQ_Cnt = 0;
-							}
-							else
-							{
-								currTar_Info->TarSelQ_Cnt--;
-								currTar_Info->TarSelQ_Head->Sccb_backlink = (PSCCB)NULL;
+						if (pOldSccb != NULL) {
+							pOldSccb->
+							    Sccb_forwardlink =
+							    (struct sccb
+							     *)(pCurrCard->
+								currentSCCB)->
+							    Sccb_forwardlink;
+							pOldSccb->
+							    Sccb_backlink =
+							    (struct sccb
+							     *)(pCurrCard->
+								currentSCCB)->
+							    Sccb_backlink;
+							currTar_Info->
+							    TarSelQ_Cnt--;
+						} else {
+							currTar_Info->
+							    TarSelQ_Head =
+							    (struct sccb
+							     *)(pCurrCard->
+								currentSCCB)->
+							    Sccb_forwardlink;
+
+							if (currTar_Info->
+							    TarSelQ_Head ==
+							    NULL) {
+								currTar_Info->
+								    TarSelQ_Tail
+								    = NULL;
+								currTar_Info->
+								    TarSelQ_Cnt
+								    = 0;
+							} else {
+								currTar_Info->
+								    TarSelQ_Cnt--;
+								currTar_Info->
+								    TarSelQ_Head->
+								    Sccb_backlink
+								    =
+								    (struct sccb
+								     *)NULL;
 							}
 						}
-					pCurrCard->scanIndex = scan_ptr;
+						pCurrCard->scanIndex = scan_ptr;
 
-					pCurrCard->globalFlags |= F_NEW_SCCB_CMD;
+						pCurrCard->globalFlags |=
+						    F_NEW_SCCB_CMD;
 
-					break;
+						break;
 					}
 				}
 			}
 
-			else 
-			{
+			else {
 				scan_ptr++;
 				if (scan_ptr == MAX_SCSI_TAR) {
 					scan_ptr = 0;
 				}
 			}
 
-		}
-		else
-		{
+		} else {
 			if ((currTar_Info->TarSelQ_Cnt != 0) &&
-				(currTar_Info->TarLUNBusy[0] == 0))
-			{
+			    (currTar_Info->TarLUNBusy[0] == 0)) {
 
-				pCurrCard->currentSCCB = currTar_Info->TarSelQ_Head;
+				pCurrCard->currentSCCB =
+				    currTar_Info->TarSelQ_Head;
 
-				currTar_Info->TarSelQ_Head = (PSCCB)(pCurrCard->currentSCCB)->Sccb_forwardlink;
+				currTar_Info->TarSelQ_Head =
+				    (struct sccb *)(pCurrCard->currentSCCB)->
+				    Sccb_forwardlink;
 
-				if (currTar_Info->TarSelQ_Head == NULL)
-				{
+				if (currTar_Info->TarSelQ_Head == NULL) {
 					currTar_Info->TarSelQ_Tail = NULL;
 					currTar_Info->TarSelQ_Cnt = 0;
-				}
-				else
-				{
+				} else {
 					currTar_Info->TarSelQ_Cnt--;
-					currTar_Info->TarSelQ_Head->Sccb_backlink = (PSCCB)NULL;
+					currTar_Info->TarSelQ_Head->
+					    Sccb_backlink = (struct sccb *)NULL;
 				}
 
 				scan_ptr++;
@@ -7415,11 +6851,9 @@ static void FPT_queueSearchSelect(PSCCBc
 				break;
 			}
 
-			else 
-			{
+			else {
 				scan_ptr++;
-				if (scan_ptr == MAX_SCSI_TAR) 
-				{
+				if (scan_ptr == MAX_SCSI_TAR) {
 					scan_ptr = 0;
 				}
 			}
@@ -7427,7 +6861,6 @@ static void FPT_queueSearchSelect(PSCCBc
 	} while (scan_ptr != pCurrCard->scanIndex);
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Queue Select Fail
@@ -7436,37 +6869,39 @@ static void FPT_queueSearchSelect(PSCCBc
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_queueSelectFail(PSCCBcard pCurrCard, UCHAR p_card)
+static void FPT_queueSelectFail(struct sccb_card *pCurrCard,
+				unsigned char p_card)
 {
-   UCHAR thisTarg;
-   PSCCBMgr_tar_info currTar_Info;
+	unsigned char thisTarg;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-   if (pCurrCard->currentSCCB != NULL)
-	  {
-	  thisTarg = (UCHAR)(((PSCCB)(pCurrCard->currentSCCB))->TargID);
-      currTar_Info = &FPT_sccbMgrTbl[p_card][thisTarg];
+	if (pCurrCard->currentSCCB != NULL) {
+		thisTarg =
+		    (unsigned char)(((struct sccb *)(pCurrCard->currentSCCB))->
+				    TargID);
+		currTar_Info = &FPT_sccbMgrTbl[p_card][thisTarg];
 
-      pCurrCard->currentSCCB->Sccb_backlink = (PSCCB)NULL;
+		pCurrCard->currentSCCB->Sccb_backlink = (struct sccb *)NULL;
 
-      pCurrCard->currentSCCB->Sccb_forwardlink = currTar_Info->TarSelQ_Head;
+		pCurrCard->currentSCCB->Sccb_forwardlink =
+		    currTar_Info->TarSelQ_Head;
 
-	  if (currTar_Info->TarSelQ_Cnt == 0)
-		 {
-		 currTar_Info->TarSelQ_Tail = pCurrCard->currentSCCB;
-		 }
-
-	  else
-		 {
-		 currTar_Info->TarSelQ_Head->Sccb_backlink = pCurrCard->currentSCCB;
-		 }
+		if (currTar_Info->TarSelQ_Cnt == 0) {
+			currTar_Info->TarSelQ_Tail = pCurrCard->currentSCCB;
+		}
 
+		else {
+			currTar_Info->TarSelQ_Head->Sccb_backlink =
+			    pCurrCard->currentSCCB;
+		}
 
-	  currTar_Info->TarSelQ_Head = pCurrCard->currentSCCB;
+		currTar_Info->TarSelQ_Head = pCurrCard->currentSCCB;
 
-	  pCurrCard->currentSCCB = NULL;
-	  currTar_Info->TarSelQ_Cnt++;
-	  }
+		pCurrCard->currentSCCB = NULL;
+		currTar_Info->TarSelQ_Cnt++;
+	}
 }
+
 /*---------------------------------------------------------------------
  *
  * Function: Queue Command Complete
@@ -7475,101 +6910,97 @@ static void FPT_queueSelectFail(PSCCBcar
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_queueCmdComplete(PSCCBcard pCurrCard, PSCCB p_sccb,
-				 UCHAR p_card)
+static void FPT_queueCmdComplete(struct sccb_card *pCurrCard,
+				 struct sccb *p_sccb, unsigned char p_card)
 {
 
-   UCHAR i, SCSIcmd;
-   CALL_BK_FN callback;
-   PSCCBMgr_tar_info currTar_Info;
-
-   SCSIcmd = p_sccb->Cdb[0];
-
-
-   if (!(p_sccb->Sccb_XferState & F_ALL_XFERRED)) {
-
-	  if ((p_sccb->ControlByte & (SCCB_DATA_XFER_OUT | SCCB_DATA_XFER_IN)) &&
-		 (p_sccb->HostStatus == SCCB_COMPLETE)                             &&
-		 (p_sccb->TargetStatus != SSCHECK))
+	unsigned char i, SCSIcmd;
+	CALL_BK_FN callback;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-		 if ((SCSIcmd == SCSI_READ)             ||
-			 (SCSIcmd == SCSI_WRITE)            ||
-			 (SCSIcmd == SCSI_READ_EXTENDED)    ||
-			 (SCSIcmd == SCSI_WRITE_EXTENDED)   ||
-			 (SCSIcmd == SCSI_WRITE_AND_VERIFY) ||
-			 (SCSIcmd == SCSI_START_STOP_UNIT)  ||
-			 (pCurrCard->globalFlags & F_NO_FILTER)
-			)
-			   p_sccb->HostStatus = SCCB_DATA_UNDER_RUN;
-	  }
+	SCSIcmd = p_sccb->Cdb[0];
 
+	if (!(p_sccb->Sccb_XferState & F_ALL_XFERRED)) {
 
-	if(p_sccb->SccbStatus == SCCB_IN_PROCESS)
-	{
-	   if (p_sccb->HostStatus || p_sccb->TargetStatus)
-		  p_sccb->SccbStatus = SCCB_ERROR;
-	   else
-		  p_sccb->SccbStatus = SCCB_SUCCESS;
+		if ((p_sccb->
+		     ControlByte & (SCCB_DATA_XFER_OUT | SCCB_DATA_XFER_IN))
+		    && (p_sccb->HostStatus == SCCB_COMPLETE)
+		    && (p_sccb->TargetStatus != SSCHECK))
+
+			if ((SCSIcmd == SCSI_READ) ||
+			    (SCSIcmd == SCSI_WRITE) ||
+			    (SCSIcmd == SCSI_READ_EXTENDED) ||
+			    (SCSIcmd == SCSI_WRITE_EXTENDED) ||
+			    (SCSIcmd == SCSI_WRITE_AND_VERIFY) ||
+			    (SCSIcmd == SCSI_START_STOP_UNIT) ||
+			    (pCurrCard->globalFlags & F_NO_FILTER)
+			    )
+				p_sccb->HostStatus = SCCB_DATA_UNDER_RUN;
+	}
+
+	if (p_sccb->SccbStatus == SCCB_IN_PROCESS) {
+		if (p_sccb->HostStatus || p_sccb->TargetStatus)
+			p_sccb->SccbStatus = SCCB_ERROR;
+		else
+			p_sccb->SccbStatus = SCCB_SUCCESS;
 	}
 
-   if (p_sccb->Sccb_XferState & F_AUTO_SENSE) {
+	if (p_sccb->Sccb_XferState & F_AUTO_SENSE) {
 
-	  p_sccb->CdbLength = p_sccb->Save_CdbLen;
-	  for (i=0; i < 6; i++) {
-		 p_sccb->Cdb[i] = p_sccb->Save_Cdb[i];
-		 }
-	  }
+		p_sccb->CdbLength = p_sccb->Save_CdbLen;
+		for (i = 0; i < 6; i++) {
+			p_sccb->Cdb[i] = p_sccb->Save_Cdb[i];
+		}
+	}
 
-   if ((p_sccb->OperationCode == RESIDUAL_SG_COMMAND) ||
-	  (p_sccb->OperationCode == RESIDUAL_COMMAND)) {
+	if ((p_sccb->OperationCode == RESIDUAL_SG_COMMAND) ||
+	    (p_sccb->OperationCode == RESIDUAL_COMMAND)) {
 
-		 FPT_utilUpdateResidual(p_sccb);
-		 }
+		FPT_utilUpdateResidual(p_sccb);
+	}
 
-   pCurrCard->cmdCounter--;
-   if (!pCurrCard->cmdCounter) {
+	pCurrCard->cmdCounter--;
+	if (!pCurrCard->cmdCounter) {
 
-	  if (pCurrCard->globalFlags & F_GREEN_PC) {
-		 WR_HARPOON(pCurrCard->ioPort+hp_clkctrl_0,(PWR_DWN | CLKCTRL_DEFAULT));
-		 WR_HARPOON(pCurrCard->ioPort+hp_sys_ctrl, STOP_CLK);
-		 }
+		if (pCurrCard->globalFlags & F_GREEN_PC) {
+			WR_HARPOON(pCurrCard->ioPort + hp_clkctrl_0,
+				   (PWR_DWN | CLKCTRL_DEFAULT));
+			WR_HARPOON(pCurrCard->ioPort + hp_sys_ctrl, STOP_CLK);
+		}
 
-	  WR_HARPOON(pCurrCard->ioPort+hp_semaphore,
-	  (RD_HARPOON(pCurrCard->ioPort+hp_semaphore) & ~SCCB_MGR_ACTIVE));
+		WR_HARPOON(pCurrCard->ioPort + hp_semaphore,
+			   (RD_HARPOON(pCurrCard->ioPort + hp_semaphore) &
+			    ~SCCB_MGR_ACTIVE));
 
-	  }
+	}
 
-	if(pCurrCard->discQCount != 0)
-	{
-      currTar_Info = &FPT_sccbMgrTbl[p_card][p_sccb->TargID];
-		if(((pCurrCard->globalFlags & F_CONLUN_IO) &&
-			((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING)))
-		{
+	if (pCurrCard->discQCount != 0) {
+		currTar_Info = &FPT_sccbMgrTbl[p_card][p_sccb->TargID];
+		if (((pCurrCard->globalFlags & F_CONLUN_IO) &&
+		     ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) !=
+		      TAG_Q_TRYING))) {
 			pCurrCard->discQCount--;
-			pCurrCard->discQ_Tbl[currTar_Info->LunDiscQ_Idx[p_sccb->Lun]] = NULL;
-		}
-		else
-		{
-			if(p_sccb->Sccb_tag)
-			{
+			pCurrCard->discQ_Tbl[currTar_Info->
+					     LunDiscQ_Idx[p_sccb->Lun]] = NULL;
+		} else {
+			if (p_sccb->Sccb_tag) {
 				pCurrCard->discQCount--;
 				pCurrCard->discQ_Tbl[p_sccb->Sccb_tag] = NULL;
-			}else
-			{
+			} else {
 				pCurrCard->discQCount--;
-				pCurrCard->discQ_Tbl[currTar_Info->LunDiscQ_Idx[0]] = NULL;
+				pCurrCard->discQ_Tbl[currTar_Info->
+						     LunDiscQ_Idx[0]] = NULL;
 			}
 		}
 
 	}
 
-	callback = (CALL_BK_FN)p_sccb->SccbCallback;
-   callback(p_sccb);
-   pCurrCard->globalFlags |= F_NEW_SCCB_CMD;
-   pCurrCard->currentSCCB = NULL;
+	callback = (CALL_BK_FN) p_sccb->SccbCallback;
+	callback(p_sccb);
+	pCurrCard->globalFlags |= F_NEW_SCCB_CMD;
+	pCurrCard->currentSCCB = NULL;
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Queue Disconnect
@@ -7577,33 +7008,32 @@ static void FPT_queueCmdComplete(PSCCBca
  * Description: Add SCCB to our disconnect array.
  *
  *---------------------------------------------------------------------*/
-static void FPT_queueDisconnect(PSCCB p_sccb, UCHAR p_card)
+static void FPT_queueDisconnect(struct sccb *p_sccb, unsigned char p_card)
 {
-   PSCCBMgr_tar_info currTar_Info;
+	struct sccb_mgr_tar_info *currTar_Info;
 
 	currTar_Info = &FPT_sccbMgrTbl[p_card][p_sccb->TargID];
 
-	if(((FPT_BL_Card[p_card].globalFlags & F_CONLUN_IO) &&
-		((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING)))
-	{
-		FPT_BL_Card[p_card].discQ_Tbl[currTar_Info->LunDiscQ_Idx[p_sccb->Lun]] = p_sccb;
-	}
-	else
-	{
-		if (p_sccb->Sccb_tag)
-		{
-			FPT_BL_Card[p_card].discQ_Tbl[p_sccb->Sccb_tag] = p_sccb;
-			FPT_sccbMgrTbl[p_card][p_sccb->TargID].TarLUNBusy[0] = 0;
+	if (((FPT_BL_Card[p_card].globalFlags & F_CONLUN_IO) &&
+	     ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING))) {
+		FPT_BL_Card[p_card].discQ_Tbl[currTar_Info->
+					      LunDiscQ_Idx[p_sccb->Lun]] =
+		    p_sccb;
+	} else {
+		if (p_sccb->Sccb_tag) {
+			FPT_BL_Card[p_card].discQ_Tbl[p_sccb->Sccb_tag] =
+			    p_sccb;
+			FPT_sccbMgrTbl[p_card][p_sccb->TargID].TarLUNBusy[0] =
+			    0;
 			FPT_sccbMgrTbl[p_card][p_sccb->TargID].TarTagQ_Cnt++;
-		}else
-		{
-			FPT_BL_Card[p_card].discQ_Tbl[currTar_Info->LunDiscQ_Idx[0]] = p_sccb;
+		} else {
+			FPT_BL_Card[p_card].discQ_Tbl[currTar_Info->
+						      LunDiscQ_Idx[0]] = p_sccb;
 		}
 	}
 	FPT_BL_Card[p_card].currentSCCB = NULL;
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Queue Flush SCCB
@@ -7612,33 +7042,35 @@ static void FPT_queueDisconnect(PSCCB p_
  *
  *---------------------------------------------------------------------*/
 
-static void  FPT_queueFlushSccb(UCHAR p_card, UCHAR error_code)
+static void FPT_queueFlushSccb(unsigned char p_card, unsigned char error_code)
 {
-   UCHAR qtag,thisTarg;
-   PSCCB currSCCB;
-   PSCCBMgr_tar_info currTar_Info;
+	unsigned char qtag, thisTarg;
+	struct sccb *currSCCB;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-   currSCCB = FPT_BL_Card[p_card].currentSCCB;
-	if(currSCCB != NULL)
-	{
-	   thisTarg = (UCHAR)currSCCB->TargID;
-   	currTar_Info = &FPT_sccbMgrTbl[p_card][thisTarg];
+	currSCCB = FPT_BL_Card[p_card].currentSCCB;
+	if (currSCCB != NULL) {
+		thisTarg = (unsigned char)currSCCB->TargID;
+		currTar_Info = &FPT_sccbMgrTbl[p_card][thisTarg];
 
-	   for (qtag=0; qtag<QUEUE_DEPTH; qtag++) {
+		for (qtag = 0; qtag < QUEUE_DEPTH; qtag++) {
 
-		  if (FPT_BL_Card[p_card].discQ_Tbl[qtag] && 
-					(FPT_BL_Card[p_card].discQ_Tbl[qtag]->TargID == thisTarg))
-			 {
+			if (FPT_BL_Card[p_card].discQ_Tbl[qtag] &&
+			    (FPT_BL_Card[p_card].discQ_Tbl[qtag]->TargID ==
+			     thisTarg)) {
 
-			 FPT_BL_Card[p_card].discQ_Tbl[qtag]->HostStatus = (UCHAR)error_code;
-			
-			 FPT_queueCmdComplete(&FPT_BL_Card[p_card],FPT_BL_Card[p_card].discQ_Tbl[qtag], p_card);
+				FPT_BL_Card[p_card].discQ_Tbl[qtag]->
+				    HostStatus = (unsigned char)error_code;
 
-			 FPT_BL_Card[p_card].discQ_Tbl[qtag] = NULL;
-			 currTar_Info->TarTagQ_Cnt--;
+				FPT_queueCmdComplete(&FPT_BL_Card[p_card],
+						     FPT_BL_Card[p_card].
+						     discQ_Tbl[qtag], p_card);
 
-			 }
-		  }
+				FPT_BL_Card[p_card].discQ_Tbl[qtag] = NULL;
+				currTar_Info->TarTagQ_Cnt--;
+
+			}
+		}
 	}
 
 }
@@ -7651,61 +7083,57 @@ static void  FPT_queueFlushSccb(UCHAR p_
  *
  *---------------------------------------------------------------------*/
 
-static void  FPT_queueFlushTargSccb(UCHAR p_card, UCHAR thisTarg,
-				    UCHAR error_code)
+static void FPT_queueFlushTargSccb(unsigned char p_card, unsigned char thisTarg,
+				   unsigned char error_code)
 {
-   UCHAR qtag;
-   PSCCBMgr_tar_info currTar_Info;
+	unsigned char qtag;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-   currTar_Info = &FPT_sccbMgrTbl[p_card][thisTarg];
+	currTar_Info = &FPT_sccbMgrTbl[p_card][thisTarg];
 
-   for (qtag=0; qtag<QUEUE_DEPTH; qtag++) {
+	for (qtag = 0; qtag < QUEUE_DEPTH; qtag++) {
 
-	  if (FPT_BL_Card[p_card].discQ_Tbl[qtag] && 
-				(FPT_BL_Card[p_card].discQ_Tbl[qtag]->TargID == thisTarg))
-		 {
+		if (FPT_BL_Card[p_card].discQ_Tbl[qtag] &&
+		    (FPT_BL_Card[p_card].discQ_Tbl[qtag]->TargID == thisTarg)) {
 
-		 FPT_BL_Card[p_card].discQ_Tbl[qtag]->HostStatus = (UCHAR)error_code;
+			FPT_BL_Card[p_card].discQ_Tbl[qtag]->HostStatus =
+			    (unsigned char)error_code;
 
-		 FPT_queueCmdComplete(&FPT_BL_Card[p_card],FPT_BL_Card[p_card].discQ_Tbl[qtag], p_card);
+			FPT_queueCmdComplete(&FPT_BL_Card[p_card],
+					     FPT_BL_Card[p_card].
+					     discQ_Tbl[qtag], p_card);
 
-		 FPT_BL_Card[p_card].discQ_Tbl[qtag] = NULL;
-		 currTar_Info->TarTagQ_Cnt--;
+			FPT_BL_Card[p_card].discQ_Tbl[qtag] = NULL;
+			currTar_Info->TarTagQ_Cnt--;
 
-		 }
-	  }
+		}
+	}
 
 }
 
-
-
-
-
-static void FPT_queueAddSccb(PSCCB p_SCCB, UCHAR p_card)
+static void FPT_queueAddSccb(struct sccb *p_SCCB, unsigned char p_card)
 {
-   PSCCBMgr_tar_info currTar_Info;
-   currTar_Info = &FPT_sccbMgrTbl[p_card][p_SCCB->TargID];
+	struct sccb_mgr_tar_info *currTar_Info;
+	currTar_Info = &FPT_sccbMgrTbl[p_card][p_SCCB->TargID];
 
-   p_SCCB->Sccb_forwardlink = NULL;
+	p_SCCB->Sccb_forwardlink = NULL;
 
-   p_SCCB->Sccb_backlink = currTar_Info->TarSelQ_Tail;
+	p_SCCB->Sccb_backlink = currTar_Info->TarSelQ_Tail;
 
-   if (currTar_Info->TarSelQ_Cnt == 0) {
+	if (currTar_Info->TarSelQ_Cnt == 0) {
 
-	  currTar_Info->TarSelQ_Head = p_SCCB;
-	  }
-
-   else {
+		currTar_Info->TarSelQ_Head = p_SCCB;
+	}
 
-	  currTar_Info->TarSelQ_Tail->Sccb_forwardlink = p_SCCB;
-	  }
+	else {
 
+		currTar_Info->TarSelQ_Tail->Sccb_forwardlink = p_SCCB;
+	}
 
-   currTar_Info->TarSelQ_Tail = p_SCCB;
-   currTar_Info->TarSelQ_Cnt++;
+	currTar_Info->TarSelQ_Tail = p_SCCB;
+	currTar_Info->TarSelQ_Cnt++;
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Queue Find SCCB
@@ -7715,54 +7143,56 @@ static void FPT_queueAddSccb(PSCCB p_SCC
  *
  *---------------------------------------------------------------------*/
 
-static UCHAR FPT_queueFindSccb(PSCCB p_SCCB, UCHAR p_card)
+static unsigned char FPT_queueFindSccb(struct sccb *p_SCCB,
+				       unsigned char p_card)
 {
-   PSCCB q_ptr;
-   PSCCBMgr_tar_info currTar_Info;
+	struct sccb *q_ptr;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-   currTar_Info = &FPT_sccbMgrTbl[p_card][p_SCCB->TargID];
+	currTar_Info = &FPT_sccbMgrTbl[p_card][p_SCCB->TargID];
 
-   q_ptr = currTar_Info->TarSelQ_Head;
+	q_ptr = currTar_Info->TarSelQ_Head;
 
-   while(q_ptr != NULL) {
+	while (q_ptr != NULL) {
 
-	  if (q_ptr == p_SCCB) {
+		if (q_ptr == p_SCCB) {
 
+			if (currTar_Info->TarSelQ_Head == q_ptr) {
 
-		 if (currTar_Info->TarSelQ_Head == q_ptr) {
-
-			currTar_Info->TarSelQ_Head = q_ptr->Sccb_forwardlink;
+				currTar_Info->TarSelQ_Head =
+				    q_ptr->Sccb_forwardlink;
 			}
 
-		 if (currTar_Info->TarSelQ_Tail == q_ptr) {
+			if (currTar_Info->TarSelQ_Tail == q_ptr) {
 
-			currTar_Info->TarSelQ_Tail = q_ptr->Sccb_backlink;
+				currTar_Info->TarSelQ_Tail =
+				    q_ptr->Sccb_backlink;
 			}
 
-		 if (q_ptr->Sccb_forwardlink != NULL) {
-			q_ptr->Sccb_forwardlink->Sccb_backlink = q_ptr->Sccb_backlink;
+			if (q_ptr->Sccb_forwardlink != NULL) {
+				q_ptr->Sccb_forwardlink->Sccb_backlink =
+				    q_ptr->Sccb_backlink;
 			}
 
-		 if (q_ptr->Sccb_backlink != NULL) {
-			q_ptr->Sccb_backlink->Sccb_forwardlink = q_ptr->Sccb_forwardlink;
+			if (q_ptr->Sccb_backlink != NULL) {
+				q_ptr->Sccb_backlink->Sccb_forwardlink =
+				    q_ptr->Sccb_forwardlink;
 			}
 
-		 currTar_Info->TarSelQ_Cnt--;
-
-		 return(1);
-		 }
+			currTar_Info->TarSelQ_Cnt--;
 
-	  else {
-		 q_ptr = q_ptr->Sccb_forwardlink;
-		 }
-	  }
+			return 1;
+		}
 
+		else {
+			q_ptr = q_ptr->Sccb_forwardlink;
+		}
+	}
 
-   return(0);
+	return 0;
 
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Utility Update Residual Count
